!**************************************************************
!* AceGen    7.402 Linux (2 Jan 22)                           *
!*           Co. J. Korelc  2020           24 Oct 23 11:36:23 *
!**************************************************************
! User     : Full professional version
! Notebook : elmt05_ecm_semi _explicit
! Evaluation time                 : 14 s    Mode  : Optimal
! Number of formulae              : 291     Method: Automatic
! Subroutine                      : elmt05_ecm_semi_explicit size: 7288
! Total size of Mathematica  code : 7288 subexpressions
! Total size of Fortran code      : 20168 bytes

!******************* S U B R O U T I N E **********************
      SUBROUTINE elmt05_ecm_semi_explicit(activator,coupling
     &,thetanumerical,dt,Xn,Un,xi,eta,zeta,cPvec,cPprevvec,kP,cEvec
     &,cEprevvec,etaE,epsilonE,cEeq,cEtf,kE,rhoSvec,rhoSprevvec,kS
     &,resE,tangEU,tangEP,tangEE,tangES)
      IMPLICIT NONE
      include 'sms.h'
      INTEGER activator,coupling
      DOUBLE PRECISION v(777),thetanumerical,dt,Xn(8,3),Un
     &(8,3),xi,eta,zeta,cPvec(8),cPprevvec(8),kP,cEvec(8),cEprevvec(8
     &),etaE,epsilonE,cEeq,cEtf,kE,rhoSvec(8),rhoSprevvec(8),kS,resE
     &(8),tangEU(8,24),tangEP(8,8),tangEE(8,8),tangES(8,8)
      v(4)=dt
      v(5)=Xn(1,1)
      v(6)=Xn(1,2)
      v(7)=Xn(1,3)
      v(8)=Xn(2,1)
      v(9)=Xn(2,2)
      v(10)=Xn(2,3)
      v(11)=Xn(3,1)
      v(12)=Xn(3,2)
      v(13)=Xn(3,3)
      v(14)=Xn(4,1)
      v(15)=Xn(4,2)
      v(16)=Xn(4,3)
      v(17)=Xn(5,1)
      v(18)=Xn(5,2)
      v(19)=Xn(5,3)
      v(20)=Xn(6,1)
      v(21)=Xn(6,2)
      v(22)=Xn(6,3)
      v(23)=Xn(7,1)
      v(24)=Xn(7,2)
      v(25)=Xn(7,3)
      v(26)=Xn(8,1)
      v(27)=Xn(8,2)
      v(28)=Xn(8,3)
      v(29)=Un(1,1)
      v(30)=Un(1,2)
      v(31)=Un(1,3)
      v(32)=Un(2,1)
      v(33)=Un(2,2)
      v(34)=Un(2,3)
      v(35)=Un(3,1)
      v(36)=Un(3,2)
      v(37)=Un(3,3)
      v(38)=Un(4,1)
      v(39)=Un(4,2)
      v(40)=Un(4,3)
      v(41)=Un(5,1)
      v(42)=Un(5,2)
      v(43)=Un(5,3)
      v(44)=Un(6,1)
      v(45)=Un(6,2)
      v(46)=Un(6,3)
      v(47)=Un(7,1)
      v(48)=Un(7,2)
      v(49)=Un(7,3)
      v(50)=Un(8,1)
      v(51)=Un(8,2)
      v(52)=Un(8,3)
      v(53)=xi
      v(118)=1d0-v(53)
      v(114)=1d0+v(53)
      v(54)=eta
      v(124)=1d0+v(54)
      v(157)=v(124)/8d0
      v(165)=-(v(118)*v(157))
      v(164)=-(v(114)*v(157))
      v(120)=1d0-v(54)
      v(158)=v(120)/8d0
      v(163)=-(v(114)*v(158))
      v(161)=-(v(118)*v(158))
      v(176)=v(163)*(v(10)-v(22))+v(164)*(v(13)-v(25))+v(165)*(v(16)
     &-v(28))+v(161)*(-v(19)+v(7))
      v(173)=v(164)*(v(12)-v(24))+v(165)*(v(15)-v(27))+v(161)*(-v(18)
     &+v(6))+v(163)*(-v(21)+v(9))
      v(170)=v(164)*(v(11)-v(23))+v(165)*(v(14)-v(26))+v(161)*(-v(17)
     &+v(5))+v(163)*(-v(20)+v(8))
      v(55)=zeta
      v(156)=(1d0+v(55))/8d0
      v(167)=-(v(114)*v(156))
      v(166)=-(v(118)*v(156))
      v(127)=v(124)*v(156)
      v(122)=v(120)*v(156)
      v(159)=(1d0-v(55))/8d0
      v(162)=-(v(114)*v(159))
      v(160)=-(v(118)*v(159))
      v(175)=(v(10)-v(13))*v(162)+v(167)*(v(22)-v(25))+v(166)*(v(19)
     &-v(28))+v(160)*(-v(16)+v(7))
      v(172)=v(167)*(v(21)-v(24))+v(166)*(v(18)-v(27))+v(160)*(-v(15)
     &+v(6))+v(162)*(-v(12)+v(9))
      v(194)=-(v(173)*v(175))+v(172)*v(176)
      v(169)=v(167)*(v(20)-v(23))+v(166)*(v(17)-v(26))+v(160)*(-v(14)
     &+v(5))+v(162)*(-v(11)+v(8))
      v(117)=v(124)*v(159)
      v(112)=v(120)*v(159)
      v(174)=v(117)*(v(13)-v(16))+v(122)*(-v(19)+v(22))+v(127)*(v(25)
     &-v(28))+v(112)*(v(10)-v(7))
      v(171)=v(117)*(v(12)-v(15))+v(122)*(-v(18)+v(21))+v(127)*(v(24)
     &-v(27))+v(112)*(-v(6)+v(9))
      v(202)=-(v(172)*v(174))+v(171)*v(175)
      v(198)=-(v(173)*v(174))+v(171)*v(176)
      v(168)=v(117)*(v(11)-v(14))+v(122)*(-v(17)+v(20))+v(127)*(v(23)
     &-v(26))+v(112)*(-v(5)+v(8))
      v(76)=kE
      v(111)=v(112)*v(118)
      v(113)=v(112)*v(114)
      v(116)=v(114)*v(117)
      v(119)=v(117)*v(118)
      v(121)=v(118)*v(122)
      v(123)=v(114)*v(122)
      v(126)=v(114)*v(127)
      v(128)=v(118)*v(127)
      v(177)=v(168)*v(194)-v(169)*v(198)+v(170)*v(202)
      v(609)=v(111)*v(177)
      v(608)=v(113)*v(177)
      v(607)=v(128)*v(177)
      v(606)=v(121)*v(177)
      v(605)=v(126)*v(177)
      v(600)=v(128)*v(605)
      v(598)=v(123)*v(605)
      v(596)=v(128)*v(606)
      v(595)=v(121)*v(605)
      v(594)=v(123)*v(606)
      v(592)=v(119)*v(607)
      v(590)=v(116)*v(607)
      v(589)=v(116)*v(605)
      v(588)=v(116)*v(119)*v(177)
      v(586)=v(113)*v(605)
      v(585)=v(123)*v(608)
      v(584)=v(116)*v(608)
      v(582)=v(111)*v(607)
      v(581)=v(111)*v(605)
      v(580)=v(123)*v(609)
      v(579)=v(111)*v(606)
      v(578)=v(119)*v(609)
      v(577)=v(116)*v(609)
      v(576)=v(111)*v(608)
      v(195)=-(v(194)/v(177))
      v(260)=-(v(127)*v(195))
      v(251)=v(122)*v(195)
      v(242)=-(v(117)*v(195))
      v(233)=v(112)*v(195)
      v(196)=(-(v(170)*v(175))+v(169)*v(176))/v(177)
      v(262)=-(v(127)*v(196))
      v(253)=v(122)*v(196)
      v(244)=-(v(117)*v(196))
      v(235)=v(112)*v(196)
      v(197)=(v(170)*v(172)-v(169)*v(173))/v(177)
      v(264)=-(v(127)*v(197))
      v(255)=v(122)*v(197)
      v(246)=-(v(117)*v(197))
      v(237)=v(112)*v(197)
      v(199)=-(v(198)/v(177))
      v(221)=v(159)*v(199)
      v(209)=v(156)*v(199)
      v(200)=(-(v(170)*v(174))+v(168)*v(176))/v(177)
      v(224)=v(159)*v(200)
      v(211)=v(156)*v(200)
      v(201)=(v(170)*v(171)-v(168)*v(173))/v(177)
      v(227)=v(159)*v(201)
      v(213)=v(156)*v(201)
      v(203)=v(202)/v(177)
      v(222)=v(158)*v(203)
      v(215)=v(157)*v(203)
      v(204)=(v(169)*v(174)-v(168)*v(175))/v(177)
      v(225)=v(158)*v(204)
      v(217)=v(157)*v(204)
      v(205)=(-(v(169)*v(171))+v(168)*v(172))/v(177)
      v(228)=v(158)*v(205)
      v(219)=v(157)*v(205)
      v(206)=v(209)+v(215)
      v(207)=v(211)+v(217)
      v(208)=v(213)+v(219)
      v(210)=-v(209)+v(222)
      v(212)=-v(211)+v(225)
      v(214)=-v(213)+v(228)
      v(216)=-v(215)+v(221)
      v(218)=-v(217)+v(224)
      v(220)=-v(219)+v(227)
      v(223)=-v(221)-v(222)
      v(226)=-v(224)-v(225)
      v(229)=-v(227)-v(228)
      v(230)=v(118)*v(223)+v(233)
      v(231)=v(118)*v(226)+v(235)
      v(232)=v(118)*v(229)+v(237)
      v(234)=v(114)*v(223)-v(233)
      v(236)=v(114)*v(226)-v(235)
      v(238)=v(114)*v(229)-v(237)
      v(239)=v(114)*v(216)+v(242)
      v(240)=v(114)*v(218)+v(244)
      v(241)=v(114)*v(220)+v(246)
      v(243)=v(118)*v(216)-v(242)
      v(245)=v(118)*v(218)-v(244)
      v(247)=v(118)*v(220)-v(246)
      v(248)=v(118)*v(210)+v(251)
      v(249)=v(118)*v(212)+v(253)
      v(250)=v(118)*v(214)+v(255)
      v(252)=v(114)*v(210)-v(251)
      v(254)=v(114)*v(212)-v(253)
      v(256)=v(114)*v(214)-v(255)
      v(257)=v(114)*v(206)+v(260)
      v(258)=v(114)*v(207)+v(262)
      v(259)=v(114)*v(208)+v(264)
      v(261)=v(118)*v(206)-v(260)
      v(263)=v(118)*v(207)-v(262)
      v(265)=v(118)*v(208)-v(264)
      v(275)=1d0+v(230)*v(29)+v(234)*v(32)+v(239)*v(35)+v(243)*v(38)
     &+v(248)*v(41)+v(252)*v(44)+v(257)*v(47)+v(261)*v(50)
      v(276)=v(231)*v(29)+v(236)*v(32)+v(240)*v(35)+v(245)*v(38)+v
     &(249)*v(41)+v(254)*v(44)+v(258)*v(47)+v(263)*v(50)
      v(277)=v(232)*v(29)+v(238)*v(32)+v(241)*v(35)+v(247)*v(38)+v
     &(250)*v(41)+v(256)*v(44)+v(259)*v(47)+v(265)*v(50)
      v(278)=v(230)*v(30)+v(234)*v(33)+v(239)*v(36)+v(243)*v(39)+v
     &(248)*v(42)+v(252)*v(45)+v(257)*v(48)+v(261)*v(51)
      v(279)=1d0+v(231)*v(30)+v(236)*v(33)+v(240)*v(36)+v(245)*v(39)
     &+v(249)*v(42)+v(254)*v(45)+v(258)*v(48)+v(263)*v(51)
      v(610)=-(v(276)*v(278))+v(275)*v(279)
      v(280)=v(232)*v(30)+v(238)*v(33)+v(241)*v(36)+v(247)*v(39)+v
     &(250)*v(42)+v(256)*v(45)+v(259)*v(48)+v(265)*v(51)
      v(612)=-(v(277)*v(279))+v(276)*v(280)
      v(611)=v(277)*v(278)-v(275)*v(280)
      v(329)=v(265)*v(610)+v(263)*v(611)+v(261)*v(612)
      v(326)=v(259)*v(610)+v(258)*v(611)+v(257)*v(612)
      v(323)=v(256)*v(610)+v(254)*v(611)+v(252)*v(612)
      v(320)=v(250)*v(610)+v(249)*v(611)+v(248)*v(612)
      v(317)=v(247)*v(610)+v(245)*v(611)+v(243)*v(612)
      v(314)=v(241)*v(610)+v(240)*v(611)+v(239)*v(612)
      v(311)=v(238)*v(610)+v(236)*v(611)+v(234)*v(612)
      v(308)=v(232)*v(610)+v(231)*v(611)+v(230)*v(612)
      v(281)=v(230)*v(31)+v(234)*v(34)+v(239)*v(37)+v(243)*v(40)+v
     &(248)*v(43)+v(252)*v(46)+v(257)*v(49)+v(261)*v(52)
      v(282)=v(231)*v(31)+v(236)*v(34)+v(240)*v(37)+v(245)*v(40)+v
     &(249)*v(43)+v(254)*v(46)+v(258)*v(49)+v(263)*v(52)
      v(613)=v(276)*v(281)-v(275)*v(282)
      v(303)=-(v(279)*v(281))+v(278)*v(282)
      v(283)=1d0+v(232)*v(31)+v(238)*v(34)+v(241)*v(37)+v(247)*v(40)
     &+v(250)*v(43)+v(256)*v(46)+v(259)*v(49)+v(265)*v(52)
      v(615)=v(277)*v(282)-v(276)*v(283)
      v(614)=-(v(277)*v(281))+v(275)*v(283)
      v(328)=v(265)*v(613)+v(263)*v(614)+v(261)*v(615)
      v(325)=v(259)*v(613)+v(258)*v(614)+v(257)*v(615)
      v(322)=v(256)*v(613)+v(254)*v(614)+v(252)*v(615)
      v(319)=v(250)*v(613)+v(249)*v(614)+v(248)*v(615)
      v(316)=v(247)*v(613)+v(245)*v(614)+v(243)*v(615)
      v(313)=v(241)*v(613)+v(240)*v(614)+v(239)*v(615)
      v(310)=v(238)*v(613)+v(236)*v(614)+v(234)*v(615)
      v(307)=v(232)*v(613)+v(231)*v(614)+v(230)*v(615)
      v(305)=-(v(280)*v(282))+v(279)*v(283)
      v(304)=-(v(280)*v(281))+v(278)*v(283)
      v(327)=v(265)*v(303)-v(263)*v(304)+v(261)*v(305)
      v(324)=v(259)*v(303)-v(258)*v(304)+v(257)*v(305)
      v(321)=v(256)*v(303)-v(254)*v(304)+v(252)*v(305)
      v(318)=v(250)*v(303)-v(249)*v(304)+v(248)*v(305)
      v(315)=v(247)*v(303)-v(245)*v(304)+v(243)*v(305)
      v(312)=v(241)*v(303)-v(240)*v(304)+v(239)*v(305)
      v(309)=v(238)*v(303)-v(236)*v(304)+v(234)*v(305)
      v(306)=v(232)*v(303)-v(231)*v(304)+v(230)*v(305)
      v(284)=v(277)*v(303)-v(276)*v(304)+v(275)*v(305)
      v(332)=1d0/v(284)**2
      v(289)=cEprevvec(1)*v(111)+cEprevvec(2)*v(113)+cEprevvec(3)*v
     &(116)+cEprevvec(4)*v(119)+cEprevvec(5)*v(121)+cEprevvec(6)*v
     &(123)+cEprevvec(7)*v(126)+cEprevvec(8)*v(128)
      v(357)=v(289)/(cEeq*cEtf)
      v(330)=epsilonE*kP*(cPprevvec(1)*v(111)+cPprevvec(2)*v(113)
     &+cPprevvec(3)*v(116)+cPprevvec(4)*v(119)+cPprevvec(5)*v(121)
     &+cPprevvec(6)*v(123)+cPprevvec(7)*v(126)+cPprevvec(8)*v(128))*v
     &(289)*v(4)
      v(616)=-(v(330)*v(332))
      v(356)=(-1d0)*etaE*kS*(rhoSprevvec(1)*v(111)+rhoSprevvec(2)*v
     &(113)+rhoSprevvec(3)*v(116)+rhoSprevvec(4)*v(119)+rhoSprevvec(5
     &)*v(121)+rhoSprevvec(6)*v(123)+rhoSprevvec(7)*v(126)
     &+rhoSprevvec(8)*v(128))*v(4)
      v(359)=v(332)*v(356)*v(357)
      v(617)=1d0*v(359)
      v(643)=v(329)*(v(616)+v(617))
      v(667)=v(177)*v(643)
      v(642)=v(328)*(v(616)+v(617))
      v(666)=v(177)*v(642)
      v(641)=v(327)*(v(616)+1d0*v(617))
      v(665)=v(177)*v(641)
      v(640)=v(326)*(v(616)+1d0*v(617))
      v(664)=v(177)*v(640)
      v(639)=v(325)*(v(616)+1d0*v(617))
      v(663)=v(177)*v(639)
      v(638)=v(324)*(v(616)+1d0*v(617))
      v(662)=v(177)*v(638)
      v(637)=v(323)*(v(616)+1d0*v(617))
      v(661)=v(177)*v(637)
      v(636)=v(322)*(v(616)+1d0*v(617))
      v(660)=v(177)*v(636)
      v(635)=v(321)*(v(616)+1d0*v(617))
      v(659)=v(177)*v(635)
      v(634)=v(320)*(v(616)+1d0*v(617))
      v(658)=v(177)*v(634)
      v(633)=v(319)*(v(616)+1d0*v(617))
      v(657)=v(177)*v(633)
      v(632)=v(318)*(v(616)+1d0*v(617))
      v(656)=v(177)*v(632)
      v(631)=v(317)*(v(616)+1d0*v(617))
      v(655)=v(177)*v(631)
      v(630)=v(316)*(v(616)+1d0*v(617))
      v(654)=v(177)*v(630)
      v(629)=v(315)*(v(616)+1d0*v(617))
      v(653)=v(177)*v(629)
      v(628)=v(314)*(v(616)+1d0*v(617))
      v(652)=v(177)*v(628)
      v(627)=v(313)*(v(616)+1d0*v(617))
      v(651)=v(177)*v(627)
      v(626)=v(312)*(v(616)+1d0*v(617))
      v(650)=v(177)*v(626)
      v(625)=v(311)*(v(616)+1d0*v(617))
      v(649)=v(177)*v(625)
      v(624)=v(310)*(v(616)+1d0*v(617))
      v(648)=v(177)*v(624)
      v(623)=v(309)*(v(616)+1d0*v(617))
      v(647)=v(177)*v(623)
      v(622)=v(308)*(v(616)+1d0*v(617))
      v(646)=v(177)*v(622)
      v(621)=v(307)*(v(616)+1d0*v(617))
      v(645)=v(177)*v(621)
      v(620)=v(306)*(v(359)+v(616))
      v(644)=v(177)*v(620)
      v(618)=cEvec(1)*v(111)+cEvec(2)*v(113)+cEvec(3)*v(116)+cEvec(4
     &)*v(119)+cEvec(5)*v(121)+cEvec(6)*v(123)+cEvec(7)*v(126)+cEvec
     &(8)*v(128)-v(289)+v(330)/v(284)+(v(356)*(1d0-(v(357)*v(76))/v
     &(284)))/v(76)
      v(619)=v(177)*v(618)
      resE(1)=v(609)*v(618)
      resE(2)=v(608)*v(618)
      resE(3)=v(116)*v(619)
      resE(4)=v(119)*v(619)
      resE(5)=v(121)*v(619)
      resE(6)=v(123)*v(619)
      resE(7)=v(605)*v(618)
      resE(8)=v(607)*v(618)
      tangEU(1,1)=v(609)*v(620)
      tangEU(1,2)=v(609)*v(621)
      tangEU(1,3)=v(609)*v(622)
      tangEU(1,4)=v(609)*v(623)
      tangEU(1,5)=v(609)*v(624)
      tangEU(1,6)=v(609)*v(625)
      tangEU(1,7)=v(609)*v(626)
      tangEU(1,8)=v(609)*v(627)
      tangEU(1,9)=v(609)*v(628)
      tangEU(1,10)=v(609)*v(629)
      tangEU(1,11)=v(609)*v(630)
      tangEU(1,12)=v(609)*v(631)
      tangEU(1,13)=v(609)*v(632)
      tangEU(1,14)=v(609)*v(633)
      tangEU(1,15)=v(609)*v(634)
      tangEU(1,16)=v(609)*v(635)
      tangEU(1,17)=v(609)*v(636)
      tangEU(1,18)=v(609)*v(637)
      tangEU(1,19)=v(609)*v(638)
      tangEU(1,20)=v(609)*v(639)
      tangEU(1,21)=v(609)*v(640)
      tangEU(1,22)=v(609)*v(641)
      tangEU(1,23)=v(609)*v(642)
      tangEU(1,24)=v(609)*v(643)
      tangEU(2,1)=v(608)*v(620)
      tangEU(2,2)=v(608)*v(621)
      tangEU(2,3)=v(608)*v(622)
      tangEU(2,4)=v(608)*v(623)
      tangEU(2,5)=v(608)*v(624)
      tangEU(2,6)=v(608)*v(625)
      tangEU(2,7)=v(608)*v(626)
      tangEU(2,8)=v(608)*v(627)
      tangEU(2,9)=v(608)*v(628)
      tangEU(2,10)=v(608)*v(629)
      tangEU(2,11)=v(608)*v(630)
      tangEU(2,12)=v(608)*v(631)
      tangEU(2,13)=v(608)*v(632)
      tangEU(2,14)=v(608)*v(633)
      tangEU(2,15)=v(608)*v(634)
      tangEU(2,16)=v(608)*v(635)
      tangEU(2,17)=v(608)*v(636)
      tangEU(2,18)=v(608)*v(637)
      tangEU(2,19)=v(608)*v(638)
      tangEU(2,20)=v(608)*v(639)
      tangEU(2,21)=v(608)*v(640)
      tangEU(2,22)=v(608)*v(641)
      tangEU(2,23)=v(608)*v(642)
      tangEU(2,24)=v(608)*v(643)
      tangEU(3,1)=v(116)*v(644)
      tangEU(3,2)=v(116)*v(645)
      tangEU(3,3)=v(116)*v(646)
      tangEU(3,4)=v(116)*v(647)
      tangEU(3,5)=v(116)*v(648)
      tangEU(3,6)=v(116)*v(649)
      tangEU(3,7)=v(116)*v(650)
      tangEU(3,8)=v(116)*v(651)
      tangEU(3,9)=v(116)*v(652)
      tangEU(3,10)=v(116)*v(653)
      tangEU(3,11)=v(116)*v(654)
      tangEU(3,12)=v(116)*v(655)
      tangEU(3,13)=v(116)*v(656)
      tangEU(3,14)=v(116)*v(657)
      tangEU(3,15)=v(116)*v(658)
      tangEU(3,16)=v(116)*v(659)
      tangEU(3,17)=v(116)*v(660)
      tangEU(3,18)=v(116)*v(661)
      tangEU(3,19)=v(116)*v(662)
      tangEU(3,20)=v(116)*v(663)
      tangEU(3,21)=v(116)*v(664)
      tangEU(3,22)=v(116)*v(665)
      tangEU(3,23)=v(116)*v(666)
      tangEU(3,24)=v(116)*v(667)
      tangEU(4,1)=v(119)*v(644)
      tangEU(4,2)=v(119)*v(645)
      tangEU(4,3)=v(119)*v(646)
      tangEU(4,4)=v(119)*v(647)
      tangEU(4,5)=v(119)*v(648)
      tangEU(4,6)=v(119)*v(649)
      tangEU(4,7)=v(119)*v(650)
      tangEU(4,8)=v(119)*v(651)
      tangEU(4,9)=v(119)*v(652)
      tangEU(4,10)=v(119)*v(653)
      tangEU(4,11)=v(119)*v(654)
      tangEU(4,12)=v(119)*v(655)
      tangEU(4,13)=v(119)*v(656)
      tangEU(4,14)=v(119)*v(657)
      tangEU(4,15)=v(119)*v(658)
      tangEU(4,16)=v(119)*v(659)
      tangEU(4,17)=v(119)*v(660)
      tangEU(4,18)=v(119)*v(661)
      tangEU(4,19)=v(119)*v(662)
      tangEU(4,20)=v(119)*v(663)
      tangEU(4,21)=v(119)*v(664)
      tangEU(4,22)=v(119)*v(665)
      tangEU(4,23)=v(119)*v(666)
      tangEU(4,24)=v(119)*v(667)
      tangEU(5,1)=v(121)*v(644)
      tangEU(5,2)=v(121)*v(645)
      tangEU(5,3)=v(121)*v(646)
      tangEU(5,4)=v(121)*v(647)
      tangEU(5,5)=v(121)*v(648)
      tangEU(5,6)=v(121)*v(649)
      tangEU(5,7)=v(121)*v(650)
      tangEU(5,8)=v(121)*v(651)
      tangEU(5,9)=v(121)*v(652)
      tangEU(5,10)=v(121)*v(653)
      tangEU(5,11)=v(121)*v(654)
      tangEU(5,12)=v(121)*v(655)
      tangEU(5,13)=v(121)*v(656)
      tangEU(5,14)=v(121)*v(657)
      tangEU(5,15)=v(121)*v(658)
      tangEU(5,16)=v(121)*v(659)
      tangEU(5,17)=v(121)*v(660)
      tangEU(5,18)=v(121)*v(661)
      tangEU(5,19)=v(121)*v(662)
      tangEU(5,20)=v(121)*v(663)
      tangEU(5,21)=v(121)*v(664)
      tangEU(5,22)=v(121)*v(665)
      tangEU(5,23)=v(121)*v(666)
      tangEU(5,24)=v(121)*v(667)
      tangEU(6,1)=v(123)*v(644)
      tangEU(6,2)=v(123)*v(645)
      tangEU(6,3)=v(123)*v(646)
      tangEU(6,4)=v(123)*v(647)
      tangEU(6,5)=v(123)*v(648)
      tangEU(6,6)=v(123)*v(649)
      tangEU(6,7)=v(123)*v(650)
      tangEU(6,8)=v(123)*v(651)
      tangEU(6,9)=v(123)*v(652)
      tangEU(6,10)=v(123)*v(653)
      tangEU(6,11)=v(123)*v(654)
      tangEU(6,12)=v(123)*v(655)
      tangEU(6,13)=v(123)*v(656)
      tangEU(6,14)=v(123)*v(657)
      tangEU(6,15)=v(123)*v(658)
      tangEU(6,16)=v(123)*v(659)
      tangEU(6,17)=v(123)*v(660)
      tangEU(6,18)=v(123)*v(661)
      tangEU(6,19)=v(123)*v(662)
      tangEU(6,20)=v(123)*v(663)
      tangEU(6,21)=v(123)*v(664)
      tangEU(6,22)=v(123)*v(665)
      tangEU(6,23)=v(123)*v(666)
      tangEU(6,24)=v(123)*v(667)
      tangEU(7,1)=v(605)*v(620)
      tangEU(7,2)=v(605)*v(621)
      tangEU(7,3)=v(605)*v(622)
      tangEU(7,4)=v(605)*v(623)
      tangEU(7,5)=v(605)*v(624)
      tangEU(7,6)=v(605)*v(625)
      tangEU(7,7)=v(605)*v(626)
      tangEU(7,8)=v(605)*v(627)
      tangEU(7,9)=v(605)*v(628)
      tangEU(7,10)=v(605)*v(629)
      tangEU(7,11)=v(605)*v(630)
      tangEU(7,12)=v(605)*v(631)
      tangEU(7,13)=v(605)*v(632)
      tangEU(7,14)=v(605)*v(633)
      tangEU(7,15)=v(605)*v(634)
      tangEU(7,16)=v(605)*v(635)
      tangEU(7,17)=v(605)*v(636)
      tangEU(7,18)=v(605)*v(637)
      tangEU(7,19)=v(605)*v(638)
      tangEU(7,20)=v(605)*v(639)
      tangEU(7,21)=v(605)*v(640)
      tangEU(7,22)=v(605)*v(641)
      tangEU(7,23)=v(605)*v(642)
      tangEU(7,24)=v(605)*v(643)
      tangEU(8,1)=v(607)*v(620)
      tangEU(8,2)=v(607)*v(621)
      tangEU(8,3)=v(607)*v(622)
      tangEU(8,4)=v(607)*v(623)
      tangEU(8,5)=v(607)*v(624)
      tangEU(8,6)=v(607)*v(625)
      tangEU(8,7)=v(607)*v(626)
      tangEU(8,8)=v(607)*v(627)
      tangEU(8,9)=v(607)*v(628)
      tangEU(8,10)=v(607)*v(629)
      tangEU(8,11)=v(607)*v(630)
      tangEU(8,12)=v(607)*v(631)
      tangEU(8,13)=v(607)*v(632)
      tangEU(8,14)=v(607)*v(633)
      tangEU(8,15)=v(607)*v(634)
      tangEU(8,16)=v(607)*v(635)
      tangEU(8,17)=v(607)*v(636)
      tangEU(8,18)=v(607)*v(637)
      tangEU(8,19)=v(607)*v(638)
      tangEU(8,20)=v(607)*v(639)
      tangEU(8,21)=v(607)*v(640)
      tangEU(8,22)=v(607)*v(641)
      tangEU(8,23)=v(607)*v(642)
      tangEU(8,24)=v(607)*v(643)
      tangEE(1,1)=(v(111)*v(111))*v(177)
      tangEE(1,2)=v(576)
      tangEE(1,3)=v(577)
      tangEE(1,4)=v(578)
      tangEE(1,5)=v(579)
      tangEE(1,6)=v(580)
      tangEE(1,7)=v(581)
      tangEE(1,8)=v(582)
      tangEE(2,1)=v(576)
      tangEE(2,2)=(v(113)*v(113))*v(177)
      tangEE(2,3)=v(584)
      tangEE(2,4)=v(577)
      tangEE(2,5)=v(580)
      tangEE(2,6)=v(585)
      tangEE(2,7)=v(586)
      tangEE(2,8)=v(581)
      tangEE(3,1)=v(577)
      tangEE(3,2)=v(584)
      tangEE(3,3)=(v(116)*v(116))*v(177)
      tangEE(3,4)=v(588)
      tangEE(3,5)=v(581)
      tangEE(3,6)=v(586)
      tangEE(3,7)=v(589)
      tangEE(3,8)=v(590)
      tangEE(4,1)=v(578)
      tangEE(4,2)=v(577)
      tangEE(4,3)=v(588)
      tangEE(4,4)=(v(119)*v(119))*v(177)
      tangEE(4,5)=v(582)
      tangEE(4,6)=v(581)
      tangEE(4,7)=v(590)
      tangEE(4,8)=v(592)
      tangEE(5,1)=v(579)
      tangEE(5,2)=v(580)
      tangEE(5,3)=v(581)
      tangEE(5,4)=v(582)
      tangEE(5,5)=(v(121)*v(121))*v(177)
      tangEE(5,6)=v(594)
      tangEE(5,7)=v(595)
      tangEE(5,8)=v(596)
      tangEE(6,1)=v(580)
      tangEE(6,2)=v(585)
      tangEE(6,3)=v(586)
      tangEE(6,4)=v(581)
      tangEE(6,5)=v(594)
      tangEE(6,6)=(v(123)*v(123))*v(177)
      tangEE(6,7)=v(598)
      tangEE(6,8)=v(595)
      tangEE(7,1)=v(581)
      tangEE(7,2)=v(586)
      tangEE(7,3)=v(589)
      tangEE(7,4)=v(590)
      tangEE(7,5)=v(595)
      tangEE(7,6)=v(598)
      tangEE(7,7)=(v(126)*v(126))*v(177)
      tangEE(7,8)=v(600)
      tangEE(8,1)=v(582)
      tangEE(8,2)=v(581)
      tangEE(8,3)=v(590)
      tangEE(8,4)=v(592)
      tangEE(8,5)=v(596)
      tangEE(8,6)=v(595)
      tangEE(8,7)=v(600)
      tangEE(8,8)=(v(128)*v(128))*v(177)
      END
